> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cart

> Get an existing cart by cart token. You can get a cart token by calling the Create Cart endpoint.

### Required API key scope
- Carts




## OpenAPI

````yaml get /cart/{token}
openapi: 3.1.0
info:
  title: Cart API (On-Store)
  description: This API can be used to manage your shop's carts.
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Cart
paths:
  /cart/{token}:
    get:
      tags:
        - Cart
      summary: Get Cart
      description: >
        Get an existing cart by cart token. You can get a cart token by calling
        the Create Cart endpoint.


        ### Required API key scope

        - Carts
      operationId: getCart
      parameters:
        - in: path
          name: token
          schema:
            type: string
          required: true
          description: The unique identifier token associated with a cart.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Cart'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
      security:
        - api_key: []
components:
  schemas:
    Cart:
      type: object
      properties:
        cart:
          description: An array of product variant identifiers.
          type: array
          items:
            type: integer
            example: 39076568408247
            description: The unique identifier associated with a product variant.
    UnauthorizedResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: '401'
            http_code:
              type: string
              example: GEN-UNAUTHORIZED
            message:
              type: string
              example: Unauthorized.
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````